Loading...
Searching...
No Matches
pdftron::SDF::DocSnapshot Class Reference

`#include <DocSnapshot.h>`

## Public Member Functions
| DocSnapshot (const DocSnapshot &other)
| DocSnapshot (TRN_DocSnapshot impl)
DocSnapshot & | operator= (const DocSnapshot &other)
| ~DocSnapshot ()
void | Destroy ()
UInt32 | GetHash () const
bool | IsValid () const
bool | Equals (DocSnapshot snapshot) const
| DocSnapshot ()

## Public Attributes
TRN_DocSnapshot | m_impl

## Detailed Description

The class DocSnapshot. Represents a state of the document.

Definition at line 23 of file DocSnapshot.h.

## Constructor & Destructor Documentation

## ◆ DocSnapshot() [1/3]

pdftron::SDF::DocSnapshot::DocSnapshot | ( | const DocSnapshot & | other | ) |

## ◆ DocSnapshot() [2/3]

pdftron::SDF::DocSnapshot::DocSnapshot | ( | TRN_DocSnapshot | impl | ) |

## ◆ ~DocSnapshot()

pdftron::SDF::DocSnapshot::~DocSnapshot | ( |  | ) |

## ◆ DocSnapshot() [3/3]

pdftron::SDF::DocSnapshot::DocSnapshot | ( |  | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::SDF::DocSnapshot::Destroy | ( |  | ) |

## ◆ Equals()

bool pdftron::SDF::DocSnapshot::Equals | ( | DocSnapshot | snapshot | ) | const

Returns whether this snapshot's document state is equivalent to another.

Parameters

  snapshot | – the other snapshot with which to compare.

Returns
  Whether this snapshot's document state is equivalent to another.

## ◆ GetHash()

UInt32 pdftron::SDF::DocSnapshot::GetHash | ( |  | ) | const

Returns a hash that is unique to particular document states.

Returns
  A hash that is unique to particular document states.

## ◆ IsValid()

bool pdftron::SDF::DocSnapshot::IsValid | ( |  | ) | const

Returns whether this snapshot is valid.

Returns
  Whether this snapshot is valid.

## ◆ operator=()

DocSnapshot & pdftron::SDF::DocSnapshot::operator= | ( | const DocSnapshot & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_DocSnapshot pdftron::SDF::DocSnapshot::m_impl

Definition at line 60 of file DocSnapshot.h.

The documentation for this class was generated from the following file:

- SDF/DocSnapshot.h